aboutsummaryrefslogtreecommitdiff
path: root/bin/vex.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:06:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:46:47 +1200
commitc8ab406749124d2e762ad5cf53963070113afd0f (patch)
tree54c9721a06957ebe7098a211eea803b0230c0f5d /bin/vex.sh
parentHandle POSIX correctness in ~/.bash_profile (diff)
downloaddotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.tar.gz
dotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.zip
Apply runtime shebanging to POSIX shell
Diffstat (limited to 'bin/vex.sh')
-rw-r--r--bin/vex.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/vex.sh b/bin/vex.sh
new file mode 100644
index 00000000..8a696577
--- /dev/null
+++ b/bin/vex.sh
@@ -0,0 +1,13 @@
+# Run a command and print a string to stdout showing pass/fail
+if [ "$#" -eq 0 ] ; then
+ printf >&2 'vex: Need a command\n'
+ exit 2
+fi
+"$@"
+ex=$?
+case $ex in
+ 0) op='true' ;;
+ *) op='false' ;;
+esac
+printf '%s\n' "$op"
+exit "$ex"